<?php

declare(strict_types=1);


namespace Plugins\Neatstudio\Payment;

use App\Blog\Support\PluginManager;
use App\Blog\Support\PluginServiceProvider;

class ServiceProvider extends PluginServiceProvider
{
    protected function boot(PluginManager $manager): void
    {
        $this->loadRoutes(__DIR__.'/../routes/web.php');

        $manager->addFilter('payment.gateway', function (array $gateways) {
            $gateways['alipay'] = '支付宝';
            $gateways['wechat'] = '微信支付';
            $gateways['sandbox'] = '沙箱模拟';

            return $gateways;
        });
    }
}
